Bug 169843 - [NEW PORT] sysutils/py27-ranger: Ranger is a file manager with VI key bindings
Summary: [NEW PORT] sysutils/py27-ranger: Ranger is a file manager with VI key bindings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 07:30 UTC by linpct
Modified: 2012-08-14 11:10 UTC (History)
0 users

See Also:


Attachments
.shar (12.57 KB, text/plain)
2012-07-14 07:30 UTC, linpct
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2012-07-14 07:30:04 UTC
ranger is a file manager with VI key bindings. 

WWW: http://nongnu.org/ranger/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Po-Chuan Hsieh freebsd_committer 2012-07-14 09:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-14 11:10:01 UTC
Author: sunpoet
Date: Tue Aug 14 10:09:49 2012
New Revision: 302513
URL: http://svn.freebsd.org/changeset/ports/302513

Log:
  - Add py-ranger 1.5.4
  
  Ranger is a file manager with VI key bindings.
  
  WWW: http://nongnu.org/ranger/
  
  PR:		ports/169843
  Submitted by:	Jin-Sih Lin <linpct@gmail.com>

Added:
  head/sysutils/py-ranger/
  head/sysutils/py-ranger/Makefile   (contents, props changed)
  head/sysutils/py-ranger/distinfo   (contents, props changed)
  head/sysutils/py-ranger/pkg-descr   (contents, props changed)
  head/sysutils/py-ranger/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile   (contents, props changed)

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Tue Aug 14 10:06:48 2012	(r302512)
+++ head/sysutils/Makefile	Tue Aug 14 10:09:49 2012	(r302513)
@@ -721,6 +721,7 @@
     SUBDIR += py-filelike
     SUBDIR += py-nagiosplugin
     SUBDIR += py-psutil
+    SUBDIR += py-ranger
     SUBDIR += py-stdiff
     SUBDIR += py-supervisor
     SUBDIR += py-zdaemon

Added: head/sysutils/py-ranger/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-ranger/Makefile	Tue Aug 14 10:09:49 2012	(r302513)
@@ -0,0 +1,25 @@
+# New ports collection makefile for:	py-ranger
+# Date created:		14 July 2012
+# Whom:			Jin-Sih Lin <linpct@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	ranger
+PORTVERSION=	1.5.4
+CATEGORIES=	sysutils python
+MASTER_SITES=	http://git.savannah.gnu.org/cgit/ranger.git/snapshot/
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	linpct@gmail.com
+COMMENT=	Ranger is a file manager with VI key bindings
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=	yes
+
+MAN1=		ranger.1
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|setuptools|distutils.core|; s|share/man/man|man/man|' ${WRKSRC}/${PYSETUP}
+
+.include <bsd.port.mk>

Added: head/sysutils/py-ranger/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-ranger/distinfo	Tue Aug 14 10:09:49 2012	(r302513)
@@ -0,0 +1,2 @@
+SHA256 (ranger-1.5.4.tar.gz) = 9cc9bc1c5842c93b7546c6f4906b5312c32715ed55344e5154b268baeef1c9fc
+SIZE (ranger-1.5.4.tar.gz) = 126651

Added: head/sysutils/py-ranger/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-ranger/pkg-descr	Tue Aug 14 10:09:49 2012	(r302513)
@@ -0,0 +1,3 @@
+Ranger is a file manager with VI key bindings. 
+
+WWW: http://nongnu.org/ranger/

Added: head/sysutils/py-ranger/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-ranger/pkg-plist	Tue Aug 14 10:09:49 2012	(r302513)
@@ -0,0 +1,220 @@
+bin/ranger
+%%PYTHON_SITELIBDIR%%/ranger/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/api/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/api/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/api/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/api/apps.py
+%%PYTHON_SITELIBDIR%%/ranger/api/apps.pyc
+%%PYTHON_SITELIBDIR%%/ranger/api/apps.pyo
+%%PYTHON_SITELIBDIR%%/ranger/api/commands.py
+%%PYTHON_SITELIBDIR%%/ranger/api/commands.pyc
+%%PYTHON_SITELIBDIR%%/ranger/api/commands.pyo
+%%PYTHON_SITELIBDIR%%/ranger/api/options.py
+%%PYTHON_SITELIBDIR%%/ranger/api/options.pyc
+%%PYTHON_SITELIBDIR%%/ranger/api/options.pyo
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default.py
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default.pyc
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default.pyo
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default88.py
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default88.pyc
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/default88.pyo
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/jungle.py
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/jungle.pyc
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/jungle.pyo
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/snow.py
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/snow.pyc
+%%PYTHON_SITELIBDIR%%/ranger/colorschemes/snow.pyo
+%%PYTHON_SITELIBDIR%%/ranger/container/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/container/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/container/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/container/bookmarks.py
+%%PYTHON_SITELIBDIR%%/ranger/container/bookmarks.pyc
+%%PYTHON_SITELIBDIR%%/ranger/container/bookmarks.pyo
+%%PYTHON_SITELIBDIR%%/ranger/container/history.py
+%%PYTHON_SITELIBDIR%%/ranger/container/history.pyc
+%%PYTHON_SITELIBDIR%%/ranger/container/history.pyo
+%%PYTHON_SITELIBDIR%%/ranger/container/settingobject.py
+%%PYTHON_SITELIBDIR%%/ranger/container/settingobject.pyc
+%%PYTHON_SITELIBDIR%%/ranger/container/settingobject.pyo
+%%PYTHON_SITELIBDIR%%/ranger/container/tags.py
+%%PYTHON_SITELIBDIR%%/ranger/container/tags.pyc
+%%PYTHON_SITELIBDIR%%/ranger/container/tags.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/core/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/actions.py
+%%PYTHON_SITELIBDIR%%/ranger/core/actions.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/actions.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/environment.py
+%%PYTHON_SITELIBDIR%%/ranger/core/environment.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/environment.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/fm.py
+%%PYTHON_SITELIBDIR%%/ranger/core/fm.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/fm.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/helper.py
+%%PYTHON_SITELIBDIR%%/ranger/core/helper.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/helper.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/loader.py
+%%PYTHON_SITELIBDIR%%/ranger/core/loader.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/loader.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/main.py
+%%PYTHON_SITELIBDIR%%/ranger/core/main.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/main.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/runner.py
+%%PYTHON_SITELIBDIR%%/ranger/core/runner.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/runner.pyo
+%%PYTHON_SITELIBDIR%%/ranger/core/shared.py
+%%PYTHON_SITELIBDIR%%/ranger/core/shared.pyc
+%%PYTHON_SITELIBDIR%%/ranger/core/shared.pyo
+%%PYTHON_SITELIBDIR%%/ranger/data/mime.types
+%%PYTHON_SITELIBDIR%%/ranger/data/ranger
+%%PYTHON_SITELIBDIR%%/ranger/data/scope.sh
+%%PYTHON_SITELIBDIR%%/ranger/defaults/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/defaults/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/defaults/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/defaults/apps.py
+%%PYTHON_SITELIBDIR%%/ranger/defaults/apps.pyc
+%%PYTHON_SITELIBDIR%%/ranger/defaults/apps.pyo
+%%PYTHON_SITELIBDIR%%/ranger/defaults/commands.py
+%%PYTHON_SITELIBDIR%%/ranger/defaults/commands.pyc
+%%PYTHON_SITELIBDIR%%/ranger/defaults/commands.pyo
+%%PYTHON_SITELIBDIR%%/ranger/defaults/options.py
+%%PYTHON_SITELIBDIR%%/ranger/defaults/options.pyc
+%%PYTHON_SITELIBDIR%%/ranger/defaults/options.pyo
+%%PYTHON_SITELIBDIR%%/ranger/defaults/rc.conf
+%%PYTHON_SITELIBDIR%%/ranger/ext/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/accumulator.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/accumulator.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/accumulator.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/cached_function.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/cached_function.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/cached_function.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/curses_interrupt_handler.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/curses_interrupt_handler.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/curses_interrupt_handler.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/direction.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/direction.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/direction.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/get_executables.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/get_executables.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/get_executables.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/human_readable.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/human_readable.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/human_readable.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/iter_tools.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/iter_tools.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/iter_tools.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/keybinding_parser.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/keybinding_parser.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/keybinding_parser.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/lazy_property.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/lazy_property.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/lazy_property.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/mount_path.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/mount_path.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/mount_path.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/next_available_filename.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/next_available_filename.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/next_available_filename.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/openstruct.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/openstruct.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/openstruct.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/relative_symlink.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/relative_symlink.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/relative_symlink.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/shell_escape.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/shell_escape.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/shell_escape.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/signals.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/signals.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/signals.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/spawn.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/spawn.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/spawn.pyo
+%%PYTHON_SITELIBDIR%%/ranger/ext/widestring.py
+%%PYTHON_SITELIBDIR%%/ranger/ext/widestring.pyc
+%%PYTHON_SITELIBDIR%%/ranger/ext/widestring.pyo
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/directory.py
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/directory.pyc
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/directory.pyo
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/file.py
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/file.pyc
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/file.pyo
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/fsobject.py
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/fsobject.pyc
+%%PYTHON_SITELIBDIR%%/ranger/fsobject/fsobject.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/ansi.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/ansi.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/ansi.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/bar.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/bar.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/bar.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/color.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/color.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/color.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/colorscheme.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/colorscheme.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/colorscheme.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/context.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/context.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/context.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/curses_shortcuts.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/curses_shortcuts.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/curses_shortcuts.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/displayable.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/displayable.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/displayable.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/mouse_event.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/mouse_event.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/mouse_event.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/ui.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/ui.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/ui.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/__init__.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browsercolumn.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browsercolumn.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browsercolumn.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browserview.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browserview.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/browserview.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/console.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/console.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/console.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/pager.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/pager.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/pager.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/statusbar.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/statusbar.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/statusbar.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/taskview.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/taskview.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/taskview.pyo
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/titlebar.py
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/titlebar.pyc
+%%PYTHON_SITELIBDIR%%/ranger/gui/widgets/titlebar.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/gui/widgets
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/gui
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/fsobject
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/ext
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/defaults
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/data
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/core
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/container
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/colorschemes
+@dirrm %%PYTHON_SITELIBDIR%%/ranger/api
+@dirrm %%PYTHON_SITELIBDIR%%/ranger
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2012-08-14 11:10:18 UTC
State Changed
From-To: open->closed

New port added. Thanks!